import dns from 'node:dns';
import { LookupFunction } from 'node:net';
import { Fetch, FetchContext } from '@atproto-labs/fetch';
export type SsrfFetchWrapOptions<C = FetchContext> = {
    fetch?: Fetch<C>;
};
/**
 * @see {@link https://owasp.org/Top10/A10_2021-Server-Side_Request_Forgery_%28SSRF%29/}
 */
export declare function unicastFetchWrap<C = FetchContext>({ fetch, }: SsrfFetchWrapOptions<C>): Fetch<C>;
export declare function unicastLookup(hostname: string, options: dns.LookupOptions, callback: Parameters<LookupFunction>[2]): void;
/**
 * @param hostname - a syntactically valid hostname
 * @returns whether the hostname is a name typically used for on locale area networks.
 * @note **DO NOT** use for security reasons. Only as heuristic.
 */
export declare function isLocalHostname(hostname: string): boolean;
//# sourceMappingURL=unicast.d.ts.map